%global momorel 2

Summary: A library for handling different graphics file formats.
Name: netpbm

%define gifsupport Non GIF Support
%{?USE_GIF:%define gifsupport GIF Support}
%{?USE_GIF:%define use_gif 1}
%{?!USE_GIF:%define use_gif 0}

Version: 10.18.6
Release: %{momorel}m
License: Artistic and GPL and MIT/X
Group: System Environment/Libraries
Source0: http://telia.dl.sourceforge.net/netpbm/netpbm-%{version}.tgz
NoSource: 0

Source1: mf50-netpbm_filters
Source2: test-images.tar.gz
Source3: tests50.netpbm.xml

Patch10: netpbm-10.18.6-burngif.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl
BuildPreReq: libjpeg-devel, libtiff-devel
BuildPreReq: zlib-devel >= 1.1.4-5m
BuildPreReq: libpng-devel >= 1.2.2
BuildPreReq: flex
Obsoletes: libgr
Provides: libgr

URL: http://sourceforge.net/projects/netpbm/
# URL: http://netpbm.sourceforge.net/

%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.

%package devel
Summary: Development tools for programs which will use the netpbm libraries.
Group: Development/Libraries
Requires: netpbm = %{version}
Obsoletes: libgr-devel
Provides: libgr-devel

%description devel
The netpbm-devel package contains the header files and static libraries,
etc., for developing programs which can handle the various graphics file
formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries.  You'll also need
to have the netpbm package installed.

%package progs
Summary: Tools for manipulating graphics files in netpbm supported formats.
Group: Applications/Multimedia
Requires: netpbm = %{version}
Obsoletes: libgr-progs
Provides: libgr-progs

%description progs
The netpbm-progs package contains a group of scripts for manipulating the
graphics files in formats which are supported by the netpbm libraries.  For
example, netpbm-progs includes the rasttopnm script, which will convert a
Sun rasterfile into a portable anymap.  Netpbm-progs contains many other
scripts for converting from one graphics file format to another.

If you need to use these conversion scripts, you should install
netpbm-progs.  You'll also need to install the netpbm package.

%prep
%setup -q

%if ! %{use_gif}
%patch10 -p1 -b .burngif
%endif

# perl -pi -e 's|shhopt.h|pbmshhopt.h|g' `find -name "*.c" -o -name "*.h"` ./GNUmakefile

tar xzf %{SOURCE2}

%build
[ ! -f "/tmp/netpbm" ] && rm -rf /tmp/netpbm
# don't edit below, it's options for configure...
# return * 15
./configure <<EOF















EOF

TOP=`pwd`
make \
	CC=%{__cc} \
	CFLAGS="%{optflags} -fPIC" \
	LDFLAGS="-L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
	JPEGINC_DIR=%{_includedir} \
	PNGINC_DIR=%{_includedir} \
	TIFFINC_DIR=%{_includedir} \
	JPEGLIB_DIR=%{_libdir} \
	PNGLIB_DIR=%{_libdir} \
	TIFFLIB_DIR=%{_libdir}

make package

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}


./installnetpbm <<EOF

$RPM_BUILD_ROOT%{_prefix}


Y



$RPM_BUILD_ROOT%{_mandir}
N

EOF

# disable ldconfig in installing...
echo '#!/bin/sh' > buildtools/try_ldconfig

mkdir -p %{buildroot}/usr/share/printconf/mf_rules
cp %{SOURCE1} %{buildroot}/usr/share/printconf/mf_rules/

mkdir -p %{buildroot}/usr/share/printconf/tests
cp test-images/* %{SOURCE3} %{buildroot}/usr/share/printconf/tests/

rm -f %{buildroot}/usr/share/man/web/netpbm.url

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
# clean builddir
[ ! -f "/tmp/netpbm" ] && rm -rf /tmp/netpbm

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README doc/COPYRIGHT.PATENT doc/GPL_LICENSE.txt doc/HISTORY doc/USERDOC
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_mandir}/man3/*

%files progs
%defattr(-,root,root)
%{_bindir}/*
/usr/share/printconf/mf_rules/*
/usr/share/printconf/tests/*
%{_mandir}/man1/*
%{_mandir}/man5/*
#
%{_libdir}/*.map
%{_libdir}/rgb.txt

%changelog
* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (10.18.6-3m)
- revised spec. g3topbm.

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (10.18.6-2m)
- revised spec for rpm 4.2.

* Mon Jan 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (10.18.6-1m)
- update to 1.18.6

* Thu Dec 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (10.11.15-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (10.11.15-1m)
- update to 10.11.15
- fix configure
- change License: "Artistic License and GPL and MIT/X"
- add BuildPreReq: perl
- add "make package"
- add %%{_libdir}/lib*.so into %%files devel section
- add %%{_libdir}/*.map and %%{_libdir}/rgb.txt into %%files progs section 

* Sun Oct 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (10.11.14-1m)
- update to 10.11.14
- update Patch10: to netpbm-10.11.14-burngif.patch
- chage file path in exec mv

* Mon Apr 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.25-6m)
- rebuild against zlib 1.1.4-5m
- move Name: tag to top of spec file for specopt

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (9.25-5m)
- add BuildPrereq: flex

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (9.25-4k)
- rebuild against libpng 1.2.2.

* Sat Mar 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (9.25-2k)

* Wed Feb  6 2002 Kazuhiko <kazuhiko@kondara.org>
- (9.24-2k)

* Tue Jan  8 2002 Kazuhiko <kazuhiko@kondara.org>
- (9.23-2k)

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (9.20-2k)
- version up.
- maintained for printconf environment, it's mandatory :-P

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (9.10-6k)
- rebuild against libpng 1.2.0.

* Mon Jun 18 2001 Toru Hoshina <toru@df-usa.com>
- (9.10-4k)
- fixed sshhopt.h issue.

* Sat Feb 10 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (9.10-3k)
- update to 9.10
- add URL
- add BuildPreReq: zlib-devel
- Burn All GIFs!
- disable jbig because of patent issues
- disable hpcd because it may not be sold or used for 
  profit-making activities

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<

* Tue Sep 12 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- added Provides TAG

* Mon Sep  4 2000 Kazuhiko <kazuhiko@kondara.org>
- - version 9.8

* Tue Aug 30 2000 Kazuhiko <kazuhiko@kondara.org>
- version 9.7

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- merge from rawhide.
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 9.5

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 9.4

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch back to the netpbm tree, which is maintained again

* Mon Feb 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure all man pages are included (#9328)
- fix pstopnm bomb when xres == yres (#9329)
- add libjpeg and libz because libtiff now needs them

* Wed Feb 02 2000 Nalin Dahyabhai <nalin@redhat.com>
- added/updated TIFF compression patch from jik@kamens.brookline.ma.us (#8826)

* Mon Dec 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- added TIFF resolution patch from jik@kamens.brookline.ma.us (#7589)

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added section 5 man pages

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- fix tiff-to-pnm.fpi (#4267)

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- add a pile of foo-to-bar.fpi filters (#4251)

* Mon Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- removed old png.h header file that was causing png utils to die
- build png in build instead of install section...

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- patch for 24-bit .BMP files (from sam@campbellsci.co.uk)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- clean up the spec file
- build for glibc 2.1
- patch to fix pktopbm

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- glibc2 defines random in <stdlib.h> (pbm/pbmplus.h problem #693)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- cleaned up the spec file a little bit
- validated mike's changes :-)

* Wed May 6 1998 Michael Maher <mike@redhat.com>
- added pnm-to-ps.fpi that was missing from previous packages

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- altered %install so that the package installs now even if a previous
  version was not installed on the system 

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- changed copyright from "distributable" to "freeware"
- added some missing scripts that existed in netpbm
- added some binaries that weren't getting built
- added patch to build tiff manipulation progs (requires libtiff)

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- obsoletes netpbm now

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- mucked config.guess and Make.Rules to build on Alpha/Linux

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- updated to 2.0.13
- dropped libjpeg and libtiff (those should come from home sources)
- removed glibc patch (new version appears to have it!)
- added i686 as a valid arch type to config.guess

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

